# $Revision: 1.6 $, $Date: 2006/12/22 18:55:59 $
Summary:	Open audio compression codec
Summary(pl):	Otwarty kodek kompresji dwiku
Name:		wavpack
Version:	4.40.0
Release:	1
License:	other
Group:		Libraries
Source0:	http://www.wavpack.com/%{name}-%{version}.tar.bz2
# Source0-md5:	d41daa63926ad731df2a2922626819e9
URL:		http://www.wavpack.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression mode.

Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality. In the default
lossless mode WavPack acts just like a WinZip compressor for audio
files. However, unlike MP3 or WMA encoding which can affect the sound
quality, not a single bit of the original information is lost, so
there's no chance of degradation. This makes lossless mode ideal for
archiving audio material or any other situation where quality is
paramount. The compression ratio depends on the source material, but
generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users
this means never having to choose between lossless and lossy
compression!

%description -l pl
WavPack to cakowicie otwarty format kompresji dwiku dostarczajcy
tryby kompresji: bezstratny, stratny wysokiej jakoci oraz unikalny
hybrydowy.

Chocia technologia jest luno oparta na poprzednich wersjach
WavPacka, format nowej wersji 4 zosta zaprojektowany od nowa, aby
zaoferowa niezrwnan wydajno i funkcjonalno. W domylnym trybie
bezstratnym WavPack zachowuje si tak jak kompresor WinZip dla plikw
dwikowych. Jednak w przeciwiestwie do kodowa MP3 czy WMA, ktre
wpywaj na jako dwiku, aden bit oryginalnej informacji nie jest
tracony, wic nie ma adnych szans na degradacj. Czyni to tryb
bezstratny idealnym do archiwizowania materiaw dwikowych oraz w
innych sytuacjach, gdzie jako jest najwaniejsza. Wspczynnik
kompresji zaley od materiau rdowego, ale zwykle jest pomidzy
30% a 70%.

Tryb hybrydowy udostpnia wszystkie zalety kompresji bezstratnej z
dodatkowym ulepszeniem. Zamiast tworzenia pojedynczego pliku tryb ten
tworzy zarwno stosunkowo may, wysokiej jakoci plik stratny, ktry
moe by uywany jako taki oraz plik "poprawek", ktry (w poczeniu z
plikiem stratnym) odtwarza pen jako bez strat. Dla niektrych
uytkownikw oznacza to, e nie musz wybiera pomidzy kompresj
bezstratn a stratn.

%package libs
Summary:	Wavpack library
Summary(pl):	Biblioteka Wavpack
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description libs
Wavpack library.

%description libs -l pl
Biblioteka Wavpack.

%package devel
Summary:	Header files for Wavpack
Summary(pl):	Pliki nagwkowe Wavpack
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for Wavpack.

%description devel -l pl
Pliki nagwkowe biblioteki Wavpack.

%package static
Summary:	Static Wavpack library
Summary(pl):	Statyczna biblioteka Wavpack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Wavpack library.

%description static -l pl
Statyczna biblioteka Wavpack.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README license.txt
%attr(755,root,root) %{_bindir}/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/wavpack
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wavpack.spec,v $
Revision 1.6  2006/12/22 18:55:59  megabajt
- up to 4.40.0

Revision 1.5  2006/05/25 07:32:48  blaass
- up to 4.32, rel 3

Revision 1.4  2006/02/22 18:21:57  freetz
- rel.2 for th

Revision 1.3  2005/07/16 07:56:05  qboosh
- pl for base

Revision 1.2  2005/07/14 09:49:17  freetz
- typo

Revision 1.1  2005/07/14 09:42:45  freetz
- initial
